<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Profile </h5>
            </div>
            <div class="card-block">
                 
                
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-sm-3 text-center">
                        <img *ngIf="dataUser.role.name === 'admin'" class="img-200" src="assets/images/avatar-3.png" alt="User-Profile-Image">  
                        <img *ngIf="dataUser.role.name === 'dinas'" class="img-200" src="assets/images/avatar-5.png" alt="User-Profile-Image">  
                        <img *ngIf="dataUser.role.name === 'pelapor'" class="img-200" src="assets/images/avatar-1.png" alt="User-Profile-Image">  
                        <img *ngIf="dataUser.role.name === 'pemantau'" class="img-200" src="assets/images/avatar-4.png" alt="User-Profile-Image">  
                        <img *ngIf="dataUser.role.name === 'verifikator'" class="img-200" src="assets/images/avatar-2.png" alt="User-Profile-Image">  
                    </div>
                    <div class="col-sm-9">
                        <table class="table datatable display compact">
                            <tr>
                                <td style="width: 30%"><strong>Username</strong></td>
                                <td style="width: 70%">{{dataUser.username}}</td>
                            </tr>
                            <tr>
                                <td><strong>OPD</strong></td>
                                <td>{{dataUser.dinas.nama}}</td>
                            </tr>
                            <tr>
                                <td><strong>No Telepon</strong></td>
                                <td>{{dataUser.no_telp}}</td>
                            </tr>
                            <tr>
                                <td><strong>Alamat</strong></td>
                                <td>{{dataUser.alamat}}</td>
                            </tr>
                            <tr>
                                <td><strong>Role</strong></td>
                                <td>{{dataUser.role.name}}</td>
                            </tr>
                        </table>
                    </div>

                    <div class="col-sm-12">
                        <table class="table datatable display compact">
                        <tr>
                            <td><strong>Kegiatan Terkait</strong></td>
                            <td></td>
                        </tr>
                        </table>
                        <table class="table datatable table-bordered">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Kegiatan</th>
                                    <th>OPD</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let row of dataProgram; let i = index;">
                                    <td>{{i}}</td>
                                    <td>{{row.nama}}</td>
                                    <td>{{row.dinas.nama}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            
                 
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
